com.r3corda.demos.api / NodeInterestRates / Service

# Service

`class Service : AcceptsFileUpload, SingletonSerializeAsToken`

The Service that wraps Oracle and handles messages/network interaction/request scrubbing.

### Constructors

<init> | `Service(services: ServiceHubInternal)` The Service that wraps Oracle and handles messages/network interaction/request scrubbing.

### Properties

acceptableFileExtensions | `val acceptableFileExtensions: <ERROR CLASS>` What file extensions are acceptable for the file to be handed to upload()
dataTypePrefix | `val dataTypePrefix: String` A string that prefixes the URLs, e.g. "attachments" or "interest-rates". Should be OK for URLs.
oracle | `val oracle: Oracle`
services | `val services: ServiceHubInternal`

### Functions

upload | `fun upload(data: InputStream): String` Accepts the data in the given input stream, and returns some sort of useful return message that will be sent back to the user in the response.

### Inherited Functions

toToken | `open fun toToken(context: SerializeAsTokenContext): SerializationToken`